> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a cell

> Updates the `value` of a single cell.

The accepted shape of `value` depends on the cell's column type.

For identifier cells, updating the value also propagates the change to linked cells across the table.

Returns the updated cell.



## OpenAPI

````yaml put /table/cell/{cellId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/cell/{cellId}:
    put:
      tags:
        - Tables
      summary: Update a cell
      description: >-
        Updates the `value` of a single cell.


        The accepted shape of `value` depends on the cell's column type.


        For identifier cells, updating the value also propagates the change to
        linked cells across the table.


        Returns the updated cell.
      operationId: updateCell
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: cellId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                value: {}
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      originId:
                        type: string
                      tableId:
                        type: string
                      rowId:
                        type: string
                      columnId:
                        type: string
                      workspaceId:
                        type: string
                      isIdentifier:
                        type: boolean
                        example: false
                      data: {}
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                      isDeleted:
                        type: boolean
                        example: false
                    required:
                      - _id
                      - tableId
                      - rowId
                      - columnId
                      - workspaceId
                      - isIdentifier
                      - createdAt
                      - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '500':
          description: 500 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````